package cz.moneta.test.dsl.util.task.auto.smartauto.newcalculation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;
import cz.moneta.test.dsl.auto.smartauto.shared.PrClass;

import java.util.function.Function;

public class PrClassTasks {

    private final Harness harness;

    public PrClassTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> choosePrClass(PrClass prClass) {
        return start -> start
                .clickVehiclePrClassValue(prClass);
    }
}
